## golang-github-openzipkin-zipkin-go 0.1.5%2Bgit20190103.2fd7f4a

=== debian/changelog ===
golang-github-openzipkin-zipkin-go (0.1.5+git20190103.2fd7f4a-2) unstable; urgency=low

  * Team upload

  [ Aloïs Micard ]
  * update debian/gitlab-ci.yml (using pkg-go-tools/ci-config)

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Mathias Gibbens ]
  * d/control:
    - Update Section to golang
    - Update Standards-Version to 4.6.2 (no changes needed)
    - Add Rules-Requires-Root: no
    - Update debhelper-compat to v13
    - Replace transitional golang-goprotobuf-dev package
    - Allow golang-github-golang-protobuf-1-5-dev as optional Depends

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 16 Feb 2024 21:44:31 +0000

golang-github-openzipkin-zipkin-go (0.1.5+git20190103.2fd7f4a-1) unstable; urgency=medium

  * Initial release (Closes: #920785)

 -- Stephen Gelman <ssgelm@debian.org>  Tue, 29 Jan 2019 00:33:50 -0600

## golang-github-openzipkin-zipkin-go 0.4.3

=== Makefile ===
# Copyright 2022 The OpenZipkin Authors
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

.DEFAULT_GOAL := test

.PHONY: test
test:
	# MallocNanoZone env var avoids problems in macOS Monterey: golang/go#49138
	MallocNanoZone=0 go test -v -race -cover ./...

.PHONY: bench
bench:
	go test -v -run - -bench . -benchmem ./...

.PHONY: protoc
protoc:
	protoc --go_out=module=github.com/openzipkin/zipkin-go:. proto/zipkin_proto3/zipkin.proto
	protoc --go_out=module=github.com/openzipkin/zipkin-go:. proto/testing/*.proto
	protoc --go-grpc_out=module=github.com/openzipkin/zipkin-go:. proto/testing/*.proto

.PHONY: lint
lint:
	# Ignore grep's exit code since no match returns 1.
	echo 'linting...' ; golint ./...

.PHONY: vet
vet:
	go vet ./...

.PHONY: all
all: vet lint test bench

.PHONY: example

## golang-github-openzipkin-zipkin-go 0.1.5+git20190103.2fd7f4a

=== debian/changelog ===
golang-github-openzipkin-zipkin-go (0.1.5+git20190103.2fd7f4a-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sat, 09 Jan 2021 17:18:03 +0100

=== debian/control ===
Source: golang-github-openzipkin-zipkin-go
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Stephen Gelman <ssgelm@debian.org>
Build-Depends: debhelper (>= 11),
               dh-golang,
               golang-any,
               golang-ginkgo-dev,
               golang-github-gorilla-mux-dev,
               golang-github-shopify-sarama-dev,
               golang-golang-x-net-dev,
               golang-gomega-dev,
               golang-google-grpc-dev,
               golang-goprotobuf-dev
Standards-Version: 4.3.0
Homepage: https://github.com/openzipkin/zipkin-go
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-openzipkin-zipkin-go
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-openzipkin-zipkin-go.git
XS-Go-Import-Path: github.com/openzipkin/zipkin-go
Testsuite: autopkgtest-pkg-go

Package: golang-github-openzipkin-zipkin-go-dev
Architecture: all
Depends: ${misc:Depends},
         golang-ginkgo-dev,
         golang-github-gorilla-mux-dev,
         golang-github-shopify-sarama-dev,
         golang-golang-x-net-dev,
         golang-gomega-dev,
         golang-google-grpc-dev,
         golang-goprotobuf-dev
Description: Zipkin tracer library for go
 Zipkin Go is the official Go Tracer implementation for Zipkin, supported
 by the OpenZipkin community.  zipkin-go is built with interoperability in
 mind within both the OpenZipkin community and 3rd parties.  The library
 consists of several go packages.

## golang-github-openzipkin-zipkin-go 0.4.3

=== debian/changelog ===
golang-github-openzipkin-zipkin-go (0.4.3-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Rebase test to skip tests that require internet access
  * d/control:
    - Update Standards-Version to 4.7.0 (no changes needed)
    - Update Build-Depends and Depends
  * Remove unneeded Files-Excluded from d/copyright

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 28 Jul 2024 11:20:44 +0000

=== debian/control ===
Source: golang-github-openzipkin-zipkin-go
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Stephen Gelman <ssgelm@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-golang-protobuf-1-5-dev,
               golang-github-ibm-sarama-dev,
               golang-github-onsi-ginkgo-v2-dev,
               golang-github-rabbitmq-amqp091-go-dev,
               golang-gomega-dev,
               golang-google-grpc-dev
Standards-Version: 4.7.0
Homepage: https://github.com/openzipkin/zipkin-go
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-openzipkin-zipkin-go
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-openzipkin-zipkin-go.git
XS-Go-Import-Path: github.com/openzipkin/zipkin-go
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-go

Package: golang-github-openzipkin-zipkin-go-dev
Architecture: all
Depends: ${misc:Depends},
         golang-github-golang-protobuf-1-5-dev,
         golang-github-ibm-sarama-dev,
         golang-github-onsi-ginkgo-v2-dev,
         golang-github-rabbitmq-amqp091-go-dev,
         golang-gomega-dev,
         golang-google-grpc-dev
Description: Zipkin tracer library for go
 Zipkin Go is the official Go Tracer implementation for Zipkin, supported
 by the OpenZipkin community.  zipkin-go is built with interoperability in
 mind within both the OpenZipkin community and 3rd parties.  The library
 consists of several go packages.
